<?php

/**
 * Description of ApplicationMenu
 *
 * @author fpvanagthoven
 */
class ApplicationMenu extends Menu {

    public function __construct($applications) {
        ?><fieldset class="menu"><?php
        parent::__construct('Application');
        ?> <div class="menuButtons"> <?php
        ApplicationMenu::createApplicationButton();
        ApplicationMenu::loadApplicationButton();
        ?> </div> <?php
        ApplicationMenu::loadApplicationList($applications);
        ?></fieldset><?php
    }

    public static function createApplicationButton() {
        ?>

        <form action="applicationcreation.php" method="post">

            <input type="submit" value="New" class="surveyButton bigSurveyButton" />

        </form>

        <?php
    }

    /**
     *
     * @param Survey $surveys An array of surveys
     */
    public static function loadApplicationButton() {
        ?>
        <form id="loadApplicationForm" action="applicationcreation.php" method="post">
            <input type="button" onclick="loadApplication()" value="Load / Edit" class="surveyButton bigSurveyButton" />
        </form>


        <?php
    }

    public static function loadApplicationList($applications) {
        ?>
        <select id="applicationsToLoad" class="toLoad" size="1000">
            <?php
            if (!empty($applications)) {
                foreach ($applications as $application) {
                    ?><option value='<?php echo $application->id; ?>'><?php echo $application->title; ?></option><?php
            }
        }
            ?>
        </select>
        <?php
    }

}
?>
